package net.wanji.web.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import net.wanji.databus.dao.entity.GreenwaveCrossPO;
import net.wanji.databus.dao.entity.GreenwaveInfoPO;
import net.wanji.databus.dao.entity.RidInfoEntity;
import net.wanji.databus.dao.mapper.*;
import net.wanji.databus.po.BaseCrossInfoPO;
import net.wanji.databus.po.CrossBaseLaneInfoPO;
import net.wanji.databus.po.CrossTurnInfoPO;
import net.wanji.web.service.BaseInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/13 20:33
 */
@Service
public class BaseInfoServiceImpl implements BaseInfoService {

    @Resource
    private RidInfoMapper ridInfoMapper;
    @Resource
    private BaseCrossInfoMapper baseCrossInfoMapper;
    @Resource
    private CrossBaseLaneInfoMapper crossBaseLaneInfoMapper;
    @Resource
    private BaseCrossTurnInfoMapper baseCrossTurnInfoMapper;
    @Resource
    private GreenwaveInfoMapper greenwaveInfoMapper;
    @Resource
    private GreenwaveCrossMapper greenwaveCrossMapper;

    @Override
    public List<BaseCrossInfoPO> crossInfoList() {
        List<BaseCrossInfoPO> list = baseCrossInfoMapper.selectAll();
        return list;
    }

    @Override
    public List<CrossBaseLaneInfoPO> laneInfoList() {
        LambdaQueryWrapper<CrossBaseLaneInfoPO> queryWrapper = new LambdaQueryWrapper<>();
        List<CrossBaseLaneInfoPO> crossBaseLaneInfoPOS = crossBaseLaneInfoMapper.selectList(queryWrapper);
        return crossBaseLaneInfoPOS;
    }

    @Override
    public List<RidInfoEntity> ridInfoList() {
        List<RidInfoEntity> ridInfoEntities = ridInfoMapper.selectAll();
        return ridInfoEntities;
    }

    @Override
    public List<CrossTurnInfoPO> turnInfoList() {
        List<CrossTurnInfoPO> crossTurnInfoPOS = baseCrossTurnInfoMapper.selectAll();
        return crossTurnInfoPOS;
    }

    @Override
    public List<GreenwaveInfoPO> greenInfoList() {
        List<GreenwaveInfoPO> greenwaveInfoPOS = greenwaveInfoMapper.selectAll();
        return greenwaveInfoPOS;
    }

    @Override
    public List<GreenwaveCrossPO> greenCrossInfoList() {
        List<GreenwaveCrossPO> greenwaveCrossPOS = greenwaveCrossMapper.selectAll();
        return greenwaveCrossPOS;
    }
}
